package com.cool.store.mapper;

import com.cool.store.entity.HyPartnerUserChannelDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


@Mapper
public interface HyPartnerUserChannelMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HyPartnerUserChannelDO record);

    int insertSelective(HyPartnerUserChannelDO record);

    HyPartnerUserChannelDO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HyPartnerUserChannelDO record);

    int updateByPrimaryKey(HyPartnerUserChannelDO record);

    HyPartnerUserChannelDO selectByChannelId(@Param("channelId") Long id);

    HyPartnerUserChannelDO selectByChannelName(@Param("channelName") String channelName);
}